2019-08-19 03:16 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002664NetSurf[All Projects] Generalpublic2019-08-02 15:59
ReporterDaniel Silverstone 
Assigned ToDaniel Silverstone 
SeverityminorReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformAllOSAllOS VersionN/A
Product Version3.9 
Target Version3.10Fixed in Version3.10 
Summary0002664: In-progress curl fetches which are active during shutdown of the browser will never be freed
DescriptionWhen we close the browser while there are in-progress fetches in cURL, we never
complete those fetches cleanly and so they leak all over the shop. This manifests often in lwc string leakage from the nsurls they hold refs to.

I'm not sure we care particularly.
Steps To ReproduceStart a fetch of something which takes a while, then close the browser window while it's fetching.

I noticed it while fetching https://httpstat.us/302 where if you close the browser the moment it renders, there's a couple of fetches outstanding.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001963

Vincent Sanders (administrator)

this is also seen if one simply stops the fetch rather than quits the browser
Daniel Silverstone

~0002057

Daniel Silverstone (administrator)

I believe this is now fixed.
+Notes

-Issue History
Date Modified Username Field Change
2019-06-05 21:03 Daniel Silverstone New Issue
2019-06-13 10:24 Vincent Sanders Status new => confirmed
2019-06-13 10:24 Vincent Sanders Product Version => 3.9
2019-06-13 10:24 Vincent Sanders Note Added: 0001963
2019-08-02 15:59 Daniel Silverstone Assigned To => Daniel Silverstone
2019-08-02 15:59 Daniel Silverstone Status confirmed => resolved
2019-08-02 15:59 Daniel Silverstone Resolution open => fixed
2019-08-02 15:59 Daniel Silverstone Fixed in Version => 3.10
2019-08-02 15:59 Daniel Silverstone Target Version => 3.10
2019-08-02 15:59 Daniel Silverstone Note Added: 0002057
+Issue History